Subject: bug#10330: Compile error for Guile 2.0.3

From: Joris van der Hoeven <[email-masked]>
Date: Wed, 21 Dec 2011 16:55:05 +0100

Ha, Ludovic is right. It is the apple cruft which is responsable:

Castafiore:libguile vdhoeven$ gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c vm.c -o libguile_2.0_la-vm.o
vm-engine.c: In function 'vm_debug_engine':
vm-engine.c:40: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://developer.apple.com/bugreporter> for instructions.
Castafiore:libguile vdhoeven$

Best wishes, --Joris

On Wed, Dec 21, 2011 at 02:49:01PM +0100, Andy Wingo wrote:
> On Wed 21 Dec 2011 11:32, Joris van der Hoeven <[email-masked]> writes:
> 
> > Making all in libguile
> > make  all-am
> > /bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H   -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include   -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE  -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include   -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c -o libguile_2.0_la-vm.lo `test -f 'vm.c' || echo './'`vm.c
> > libtool: compile:  gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c vm.c  -fno-common -DPIC -o .libs/libguile_2.0_la-vm.o
> > libtool: compile:  gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c vm.c -o libguile_2.0_la-vm.o >/dev/null 2>&1
> > make[3]: *** [libguile_2.0_la-vm.lo] Error 1
> 
> Very strange.  Can you cd into libguile and run the last command again,
> the one that libtool seems to be piping to /dev/null, but without the
> redirections?  As in,
> 
>   gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c vm.c -o libguile_2.0_la-vm.o
> 
> This looks like a failure to build statically.
> 
> Andy
> 
>   gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I.. -I../lib -I../lib -I/opt/local/lib/libffi-3.0.10/include -I/opt/local/include -I/opt/local/include -D_THREAD_SAFE -Wall -Wmissing-prototypes -Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden -I/opt/local/include -g -O2 -MT libguile_2.0_la-vm.lo -MD -MP -MF .deps/libguile_2.0_la-vm.Tpo -c vm.c -o libguile_2.0_la-vm.o
> 
> > make[2]: *** [all] Error 2
> > make[1]: *** [all-recursive] Error 1
> > make: *** [all] Error 2
> >
> >> I suspect an internal compiler error of Apple’s infamous GCC fork.
> >
> > Castafiore:guile-2.0.3 vdhoeven$ gcc --version
> > i686-apple-darwin10-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5664)
> > Copyright (C) 2007 Free Software Foundation, Inc.
> > This is free software; see the source for copying conditions.  There is NO
> > warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> >
> > Hope that it will help you... --Joris
> >
> >
> >
> 
> -- 
> http://wingolog.org/